Bug 283805 - Need a method to set presence message directly from the combo box
Summary: Need a method to set presence message directly from the combo box
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 16:49 UTC by David Edmundson
Modified: 2012-07-06 12:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2011-10-11 16:49:45 UTC
Dave broke this, someone should put the behaviour back.

It needs to be intuitive, so maybe copy Empathy?
Comment 1 Martin Klapetek 2011-11-21 14:39:12 UTC
Git commit 736a0e3f6d37344abca818022ed6e82748acde52 by Martin Klapetek.
Committed on 21/11/2011 at 15:36.
Pushed by mklapetek into branch 'master'.

Make adding a presence message easy

Clicking the combobox will turn it into a KLineEdit (indicated by a "typing" cursor), losing focus will turn it back to combobox. The user can still open the combobox dropdown by clicking the down arrow.

Reviewed-by: David Edmundson & Dario Freddi
REVIEW: 103170
FEATURE: 283805

M  +75   -3    global-presence-chooser.cpp
M  +0    -1    global-presence-chooser.h

http://commits.kde.org/telepathy-contact-list/736a0e3f6d37344abca818022ed6e82748acde52